import { SameSite } from "./cookie";
export interface secureCookieOptions {
    path?: string;
    secure?: boolean;
    httpOnly?: boolean;
    sameSite?: SameSite | boolean;
    expires?: boolean | number;
    [key: string]: boolean | string | undefined | number | SameSite;
}
export interface secureHeadersOptions {
    server?: boolean | string;
    hsts?: boolean | string;
    xfo?: boolean | string;
    xxp?: boolean | string;
    content?: boolean | string;
    csp?: boolean | string;
    referrer?: boolean | string;
    cache?: boolean | string;
    feature?: boolean | string;
    [key: string]: boolean | string | undefined;
}
export declare function parseHeaderOptions(options: secureHeadersOptions): secureHeadersOptions;
export declare function parseCookieOptions(options: secureCookieOptions): secureCookieOptions;
