"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cookie_1 = require("./cookie");
const cookieOptions = {
    path: "/",
    secure: true,
    httpOnly: true,
    sameSite: cookie_1.SameSite.Lax,
    expires: false
};
const headerOptions = {
    server: false,
    hsts: true,
    xfo: true,
    xxp: true,
    content: true,
    csp: false,
    referrer: true,
    cache: true,
    feature: false
};
function parseHeaderOptions(options) {
    const defaultOptions = headerOptions;
    for (let property in options) {
        if (options.hasOwnProperty(property)) {
            defaultOptions[property] = options[property];
        }
    }
    return defaultOptions;
}
exports.parseHeaderOptions = parseHeaderOptions;
function parseCookieOptions(options) {
    const defaultOptions = cookieOptions;
    for (let property in options) {
        if (options.hasOwnProperty(property)) {
            defaultOptions[property] = options[property];
        }
    }
    return defaultOptions;
}
exports.parseCookieOptions = parseCookieOptions;
